package com.goldencode.testcases.dmo.p2j_test;

import com.goldencode.p2j.persist.*;
import com.goldencode.p2j.util.*;

/**
 * Data Model Object corresponding with table <code>p2j_test.vehicle</code>
 * (previously <code>p2j_test.vehicle</code>).
 */
public interface Vehicle
extends DataModelObject
{
   /**
    * Getter: Manufacturer
    * 
    * @return  Make
    */
   public character getMake1();

   /**
    * Setter: Manufacturer
    * 
    * @param   make1
    *          Make
    */
   public void setMake1(Text make1);

   /**
    * Getter: Manufacturer
    * 
    * @return  Make
    */
   public character getMake2();

   /**
    * Setter: Manufacturer
    * 
    * @param   make2
    *          Make
    */
   public void setMake2(Text make2);

   /**
    * Getter: Manufacturer
    * 
    * @return  Make
    */
   public character getMake3();

   /**
    * Setter: Manufacturer
    * 
    * @param   make3
    *          Make
    */
   public void setMake3(Text make3);

   /**
    * Getter: Manufacturer
    * 
    * @return  Make
    */
   public character getMake4();

   /**
    * Setter: Manufacturer
    * 
    * @param   make4
    *          Make
    */
   public void setMake4(Text make4);

   /**
    * Getter: Manufacturer
    * 
    * @return  Make
    */
   public character getMake5();

   /**
    * Setter: Manufacturer
    * 
    * @param   make5
    *          Make
    */
   public void setMake5(Text make5);

   /**
    * Getter: Manufacturer
    * 
    * @return  Make
    */
   public character getMake6();

   /**
    * Setter: Manufacturer
    * 
    * @param   make6
    *          Make
    */
   public void setMake6(Text make6);

   /**
    * Getter: Vehicle model name
    * 
    * @return  Model
    */
   public character getModel1();

   /**
    * Setter: Vehicle model name
    * 
    * @param   model1
    *          Model
    */
   public void setModel1(Text model1);

   /**
    * Getter: Number of axles
    * 
    * @return  Number of axles
    */
   public integer getAxles1();

   /**
    * Setter: Number of axles
    * 
    * @param   axles1
    *          Number of axles
    */
   public void setAxles1(NumberType axles1);

   /**
    * Getter: Exterior color
    * 
    * @return  Exterior
    */
   public character getExtColor1();

   /**
    * Setter: Exterior color
    * 
    * @param   extColor1
    *          Exterior
    */
   public void setExtColor1(Text extColor1);

   /**
    * Getter: Vehicle Identification Number
    * 
    * @return  VIN
    */
   public character getVinNumber1();

   /**
    * Setter: Vehicle Identification Number
    * 
    * @param   vinNumber1
    *          VIN
    */
   public void setVinNumber1(Text vinNumber1);

   /**
    * Getter: Vehicle Identification Number
    * 
    * @return  VIN
    */
   public character getVinNumber2();

   /**
    * Setter: Vehicle Identification Number
    * 
    * @param   vinNumber2
    *          VIN
    */
   public void setVinNumber2(Text vinNumber2);

   /**
    * Getter: Vehicle Identification Number
    * 
    * @return  VIN
    */
   public character getVinNumber3();

   /**
    * Setter: Vehicle Identification Number
    * 
    * @param   vinNumber3
    *          VIN
    */
   public void setVinNumber3(Text vinNumber3);

   /**
    * Getter: Optional features
    * 
    * @return  Options
    */
   public character getOptions1();

   /**
    * Setter: Optional features
    * 
    * @param   options1
    *          Options
    */
   public void setOptions1(Text options1);

   /**
    * Getter: Optional features
    * 
    * @return  Options
    */
   public character getOptions2();

   /**
    * Setter: Optional features
    * 
    * @param   options2
    *          Options
    */
   public void setOptions2(Text options2);

   /**
    * Getter: Optional features
    * 
    * @return  Options
    */
   public character getOptions3();

   /**
    * Setter: Optional features
    * 
    * @param   options3
    *          Options
    */
   public void setOptions3(Text options3);

   /**
    * Getter: Optional features
    * 
    * @return  Options
    */
   public character getOptions4();

   /**
    * Setter: Optional features
    * 
    * @param   options4
    *          Options
    */
   public void setOptions4(Text options4);

   /**
    * Getter: Optional features
    * 
    * @return  Options
    */
   public character getOptions5();

   /**
    * Setter: Optional features
    * 
    * @param   options5
    *          Options
    */
   public void setOptions5(Text options5);

   /**
    * Getter: Optional features
    * 
    * @return  Options
    */
   public character getOptions6();

   /**
    * Setter: Optional features
    * 
    * @param   options6
    *          Options
    */
   public void setOptions6(Text options6);

   /**
    * Getter: Optional features
    * 
    * @return  Options
    */
   public character getOptions7();

   /**
    * Setter: Optional features
    * 
    * @param   options7
    *          Options
    */
   public void setOptions7(Text options7);

   /**
    * Getter: Optional features
    * 
    * @return  Options
    */
   public character getOptions8();

   /**
    * Setter: Optional features
    * 
    * @param   options8
    *          Options
    */
   public void setOptions8(Text options8);

   /**
    * Getter: Optional features
    * 
    * @return  Options
    */
   public character getOptions9();

   /**
    * Setter: Optional features
    * 
    * @param   options9
    *          Options
    */
   public void setOptions9(Text options9);

   /**
    * Getter: Optional features
    * 
    * @return  Options
    */
   public character getOptions10();

   /**
    * Setter: Optional features
    * 
    * @param   options10
    *          Options
    */
   public void setOptions10(Text options10);

   /**
    * DMO interface for use by converted business logic.
    */
   public static interface Buf
   extends Vehicle, Buffer
   {
   }
}
